<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button *ngxPermissionsOnly="'estudios_create'"  class="btn btn-primary" style=" float: right;" data-toggle="modal" (click)="onResetForm()" data-target="#formularioCreacion"><i class="fas fa-plus-circle"></i> Estudio</button>
	</div> 
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
				<tr>
					<th>Código</th>
					<th>Descripción</th>
					<th>Representante</th>
					<th>Teléfono</th>  
					<th style=" width: 7%;" *ngxPermissionsOnly="'estudios_edit' || 'estudios_delete'">Acción</th>
				</tr>
				</thead>
				<tfoot>
					<tr> 
						<th>Código</th>
						<th>Descripción</th>
						<th>Representante</th>
						<th>Teléfono</th> 
						<th *ngxPermissionsOnly="'estudios_edit' || 'estudios_delete'">Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let item of items">
						<td>{{ item.id }}</td>
						<td>{{ item.name }}</td>
						<td>{{ item.representative }}</td> 
						<td>{{ item.contact_phone }}</td>
						<td style="text-align: center;" *ngxPermissionsOnly="'estudios_edit' || 'estudios_delete'">
							<a class="badge badge-pill badge-primary"  style=" font-size: 13px;" href="javascript:void(0)" (click)="onEditar(item)" *ngxPermissionsOnly="'estudios_edit'" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a>
							<a class="badge badge-pill badge-danger" *ngxPermissionsOnly="'estudios_delete'" href="javascript:void(0)" style=" margin-left: 15px;" (click)="onEliminar(item.id )"><i class="fas fa-trash-alt"></i></a>
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="_formGroup" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Descripción: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.name.invalid && (submitted || f.name.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="name" [ngClass]="{ 'is-invalid': f.name.errors && (f.name.touched || submitted), 'is-valid': f.name.touched && !f.name.errors}">
		            </div> 
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Representante: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.representative.invalid && (submitted || f.representative.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="representative" [ngClass]="{ 'is-invalid': f.representative.errors && (f.representative.touched || submitted), 'is-valid': f.representative.touched && !f.representative.errors}">
		            </div>
	        	</div>
	          	<div class="row"> 
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Teléfono: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.contact_phone.invalid && (submitted || f.contact_phone.touched))"> El campo es requerido</label>
	        			<input type="number" class="form-control" formControlName="contact_phone" [ngClass]="{ 'is-invalid': f.contact_phone.errors && (f.contact_phone.touched || submitted), 'is-valid': f.contact_phone.touched && !f.contact_phone.errors}">
		            </div>
	        	</div>
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>




